# sub POE::Kernel::TRACE_DEFAULT  () { 1 }
sub POE::Kernel::ASSERT_DEFAULT	() { 1 }
# sub POE::Kernel::TRACE_EVENTS  () { 1 }
# sub POE::Kernel::TRACE_QUEUE  () { 1 }
# sub POE::Kernel::TRACE_GARBAGE  () { 1 }
# sub POE::Kernel::TRACE_REFCOUNT  () { 1 }

# use lib qw/./;
use Data::Dumper;
use POE;
use Amethyst;
# use Amethyst::Connection::Anarres;
# use Amethyst::Brain::Infobot;
# use Amethyst::Brain::BarWench;

new Amethyst;

my %anarres = (
		# Amethyst variables
		Name		=> 'anarres',
		Brains		=> [ qw(infobot barwench eliza) ],	# markov
		Alias		=> 'anarres',	# For CNN module
		# Object specific variables
		Host		=> 'mudlib.anarres.org',
		Port		=> 5000,
		Login		=> 'MyBotNick',
		Password	=> 'XXXX',
		# Debug		=> 3,
		Channel		=> 'spam',	# Force output to one channel
			);
unless ($ENV{HOSTNAME} =~ /^pink/) {
	$anarres{Host} = 'localhost';
}
my %cnnchat = (
		# Amethyst variables
		Name		=> 'cnnchat',
		Brains		=> [ qw(cnn) ],
		# Object specific variables
		# Server		=> 'london.rhizomatic.net',
		# Channels	=> [ qw(amethyst) ],
		Server		=> 'chat.cnn.com',
		Nick		=> 'MyBotNick',
		Channels	=> [ qw(CNN_Newsfeed) ],
		ClientAlias	=> 'cnn irc',
			);
my %rhizomatic = (
		# Amethyst variables
		Name		=> 'rhizomatic',
		Alias		=> 'rhizomatic',	# For CNN module
		Brains		=> [ qw(infobot barwench) ],
		# Object specific variables
		Server		=> 'london.rhizomatic.net',
		Nick		=> 'MyBotNick',
		Channels	=> [ qw(amethyst) ],
			);

my %infobot = (
		# Amethyst variables
		Name		=> 'infobot',
		# Object specific variables
		# Exchange module removed
		Modules		=> [ qw(
				Google Nslookup
				Karma Purldoc
				Fortune Excuse Insult
				Zippy Zappa
				Help Statement Math
					) ],
			# Readonly databases
		FactoidRead		=> [ qw(factpack) ],
		FactoidWrite	=> q(statement),
			);
my %barwench = (
		Name		=> 'barwench',
			);
my %cnn = (
		Name		=> 'cnn',
		# Object specific
		Output		=> {
						# rhizomatic	=> 'amethyst',
						anarres		=> 'cnn',
						},
			);
my %eliza = (
		Name		=> 'eliza',
			);
my %markov = (
		Name		=> 'markov',
			);

$poe_kernel->post('amethyst', 'add_brain',
				'Amethyst::Brain::Infobot', \%infobot);
$poe_kernel->post('amethyst', 'add_brain',
				'Amethyst::Brain::BarWench', \%barwench);
$poe_kernel->post('amethyst', 'add_brain',
				'Amethyst::Brain::CNN', \%cnn)
								if 0;
$poe_kernel->post('amethyst', 'add_brain',
				'Amethyst::Brain::Eliza', \%eliza);
$poe_kernel->post('amethyst', 'add_brain',
				'Amethyst::Brain::Markov', \%markov)
								if 0;

$poe_kernel->post('amethyst', 'add_connection',
				'Amethyst::Connection::Anarres', \%anarres)
								if 0;
$poe_kernel->post('amethyst', 'add_connection',
				'Amethyst::Connection::IRC', \%rhizomatic)
								if 1;
$poe_kernel->post('amethyst', 'add_connection',
				'Amethyst::Connection::IRC', \%cnnchat)
								if 0;

$poe_kernel->post('amethyst', 'connect');

$poe_kernel->run();
